# BindingNavigator

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [Control](/api/wisej.web/general/control.md)
  * [ScrollableControl](/api/wisej.web/containers/scrollablecontrol.md)
    * [Panel](/api/wisej.web/containers/wisej.web.panel.md)
      * [FlowLayoutPanel](/api/wisej.web/containers/flowlayoutpanel.md)
        * [BindingNavigator](/api/wisej.web/data-binding/wisej.web.bindingnavigator.md)

Represents the navigation and manipulation user interface (UI) for controls that are bound to a data source.

{% tabs %}
{% tab title="C#" %}

```csharp
public class BindingNavigator : FlowLayoutPanel, ISupportInitialize
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class BindingNavigator
    Inherits FlowLayoutPanel
    Implements ISupportInitialize
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) BindingNavigator(bindingSource)

Initializes a new instance of the [BindingNavigator](/api/wisej.web/data-binding/wisej.web.bindingnavigator.md) class with the specified [BindingSource](/api/wisej.web/data-binding/wisej.web.bindingsource.md) as the data source.

| Name              | Type                                                                    | Description                                                                                        |
| ----------------- | ----------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------- |
| **bindingSource** | [BindingSource](/api/wisej.web/data-binding/wisej.web.bindingsource.md) | The [BindingSource](/api/wisej.web/data-binding/wisej.web.bindingsource.md) used as a data source. |

### ![](/files/hsR4ok3152WyAf8J2C1u) BindingNavigator(addStandardItems)

Initializes a new instance of the [BindingNavigator](/api/wisej.web/data-binding/wisej.web.bindingnavigator.md) class, indicating whether to display the standard navigation user interface (UI).

| Name                 | Type                                                            | Description                                                  |
| -------------------- | --------------------------------------------------------------- | ------------------------------------------------------------ |
| **addStandardItems** | [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean) | true to show the standard navigational UI; otherwise, false. |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) AddNewItem

[Button](/api/wisej.web/buttons/button.md): Returns or sets the "Add New" button.

### ![](/files/hsR4ok3152WyAf8J2C1u) BindingSource

[BindingSource](/api/wisej.web/data-binding/wisej.web.bindingsource.md): Returns or sets the [BindingSource](/api/wisej.web/data-binding/wisej.web.bindingsource.md) component that is the source of data. (Default: `null`)

### ![](/files/hsR4ok3152WyAf8J2C1u) CountItem

[Label](/api/wisej.web/content/wisej.web.label.md): Returns or sets the control that displays the total number of items in the associated [BindingSource](/api/wisej.web/data-binding/wisej.web.bindingsource.md).

### ![](/files/hsR4ok3152WyAf8J2C1u) CountItemFormat

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets or sets a string used to format the information displayed in the [CountItem](#countitem) control.

### ![](/files/hsR4ok3152WyAf8J2C1u) DeleteItem

[Button](/api/wisej.web/buttons/button.md): Returns or sets the "Delete" button.

### ![](/files/hsR4ok3152WyAf8J2C1u) MoveFirstItem

[Button](/api/wisej.web/buttons/button.md): Returns or sets the "Move First" button.

### ![](/files/hsR4ok3152WyAf8J2C1u) MoveLastItem

[Button](/api/wisej.web/buttons/button.md): Returns or sets the "Move Last" button.

### ![](/files/hsR4ok3152WyAf8J2C1u) MoveNextItem

[Button](/api/wisej.web/buttons/button.md): Returns or sets the "Move Next" button.

### ![](/files/hsR4ok3152WyAf8J2C1u) MovePreviousItem

[Button](/api/wisej.web/buttons/button.md): Returns or sets the "Move Previous" button.

### ![](/files/hsR4ok3152WyAf8J2C1u) Orientation

[Orientation](/api/wisej.web/enumerations/wisej.web.orientation.md): Returns or sets a value indicating the horizontal or vertical orientation of the [BindingNavigator](/api/wisej.web/data-binding/wisej.web.bindingnavigator.md) control.

When the control is docked, this property is managed automatically.

### ![](/files/hsR4ok3152WyAf8J2C1u) PositionItem

[TextBox](/api/wisej.web/editors/wisej.web.textbox.md): Returns or sets the TextBox control that displays the current position within the associated [BindingSource](/api/wisej.web/data-binding/wisej.web.bindingsource.md).

### ![](/files/hsR4ok3152WyAf8J2C1u) Text

[String](https://docs.microsoft.com/dotnet/api/system.string): Returns or sets the text to display on the tab. (Default: `""`)

## Methods

### ![](/files/hsR4ok3152WyAf8J2C1u) AddStandardItems()

Adds the standard set of navigation items to the [BindingNavigator](/api/wisej.web/data-binding/wisej.web.bindingnavigator.md) control.

### ![](/files/hsR4ok3152WyAf8J2C1u) BeginInit()

Disables updates to the controls of during the component's initialization.

### ![](/files/lzopMboA31bVq8UIcbT3) Dispose(disposing)

Clean up any resources being used.

| Parameter     | Type                                                            | Description                                                     |
| ------------- | --------------------------------------------------------------- | --------------------------------------------------------------- |
| **disposing** | [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean) | true if managed resources should be disposed; otherwise, false. |

### ![](/files/hsR4ok3152WyAf8J2C1u) EndInit()

Enables updates to the controls after the component's initialization has completed.

### ![](/files/lzopMboA31bVq8UIcbT3) OnDockChanged(e)

Fires the [DockChanged](/api/wisej.web/general/control.md#dockchanged) event.

| Parameter | Type                                                                | Description                                                                                          |
| --------- | ------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------- |
| **e**     | [EventArgs](https://docs.microsoft.com/dotnet/api/system.eventargs) | An [EventArgs](https://docs.microsoft.com/dotnet/api/system.eventargs) that contains the event data. |

### ![](/files/lzopMboA31bVq8UIcbT3) OnRefreshItems(e)

Fires the [RefreshItems](#refreshitems) event.

| Parameter | Type                                                                | Description                                                                                         |
| --------- | ------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------- |
| **e**     | [EventArgs](https://docs.microsoft.com/dotnet/api/system.eventargs) | A [EventArgs](https://docs.microsoft.com/dotnet/api/system.eventargs) that contains the event data. |

### ![](/files/lzopMboA31bVq8UIcbT3) OnTextChanged(e)

Fires the [TextChanged](/api/wisej.web/general/control.md#textchanged) event.

| Parameter | Type                                                                | Description                                                                                         |
| --------- | ------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------- |
| **e**     | [EventArgs](https://docs.microsoft.com/dotnet/api/system.eventargs) | A [EventArgs](https://docs.microsoft.com/dotnet/api/system.eventargs) that contains the event data. |

### ![](/files/hsR4ok3152WyAf8J2C1u) Validate()

Causes validation to occur and returns whether validation was successful.

**Returns:** [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean). true if validation was successful and focus can shift to the [BindingNavigator](/api/wisej.web/data-binding/wisej.web.bindingnavigator.md); otherwise, false.

## Events

### ![](/files/hsR4ok3152WyAf8J2C1u) RefreshItems

[EventHandler](https://docs.microsoft.com/dotnet/api/system.eventhandler) Fired when the state of the navigational user interface (UI) needs to be refreshed to reflect the current state of the underlying data source.

### ![](/files/hsR4ok3152WyAf8J2C1u) TextChanged

[EventHandler](https://docs.microsoft.com/dotnet/api/system.eventhandler) Fired when the value of the [Text](/api/wisej.web/containers/tabcontrol.md#text) property changes.

## Implements

| Name                                                                              | Description                                                                                                           |
| --------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| [IUserData](/api/wisej.web/interfaces/wisej.web.iuserdata.md)                     | Provides access to the `UserData` and `Tag` properties associated to the component implementing this interface.       |
| [IBindableComponent](/api/wisej.web/data-binding/wisej.web.ibindablecomponent.md) | Bindable components implement this interface.                                                                         |
| [IDropTarget](/api/wisej.web/interfaces/wisej.web.idroptarget.md)                 | Controls that support drag & drop operations implement this interface.                                                |
| [IImage](/api/wisej.web/interfaces/wisej.web.iimage.md)                           | Provides access to common image properties across the controls that implement this interface.                         |
| [IWisejComponent](/api/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                        |
| [IWisejControl](/api/wisej.core/interfaces/wisej.core.iwisejcontrol.md)           | All wisej controls derived from the [Control](/api/wisej.web/general/control.md) class must implement this interface. |
| [IWisejSerializable](/api/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                                 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/data-binding/wisej.web.bindingnavigator.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
